Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobEntryResult

    java.lang.Object
      org.pentaho.di.job.JobEntryResult

All Implemented Interfaces:
  Cloneable

    public class JobEntryResult

extends Object
implements Cloneable

This class holds the result of a job entry after it was executed. Things we want to keep track of are:

--> result of the execution (Result)

--> ...

Since:
  16-mrt-2005
Author:
  Matt

Constructor Summary
`JobEntryResult()` Creates a new empty job entry result...
`JobEntryResult(org.pentaho.di.core.Result result, String comment, String reason, JobEntryCopy jobEntry)` Creates a new job entry result...

Method Summary
`Object` | `clone()`
`String` | `getComment()`
`JobEntryCopy` | `getJobEntry()`
`Date` | `getLogDate()`
`String` | `getReason()`
`org.pentaho.di.core.Result` | `getResult()`
`void` | `setComment(String comment)`
`void` | `setJobEntry(JobEntryCopy jobEntry)`
`void` | `setLogDate(Date logDate)`
`void` | `setReason(String reason)`
`void` | `setResult(org.pentaho.di.core.Result result)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobEntryResult

    public JobEntryResult()

  Creates a new empty job entry result...

### JobEntryResult

    public JobEntryResult(org.pentaho.di.core.Result result,
                          String comment,
                          String reason,
                          JobEntryCopy jobEntry)

  Creates a new job entry result...

  Parameters:
    `result` - the result of the job entry
    `comment` - an optional comment
    `jobEntry` - the job entry for which this is the result.

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setResult

    public void setResult(org.pentaho.di.core.Result result)

  Parameters:
    `result` - The result to set.

### getResult

    public org.pentaho.di.core.Result getResult()

  Returns:
    Returns the result.

### setJobEntry

    public void setJobEntry(JobEntryCopy jobEntry)

  Parameters:
    `jobEntry` - The thisJobEntry to set.

### getJobEntry

    public JobEntryCopy getJobEntry()

  Returns:
    Returns the thisJobEntry.

### getComment

    public String getComment()

  Returns:
    Returns the comment.

### setComment

    public void setComment(String comment)

  Parameters:
    `comment` - The comment to set.

### getReason

    public String getReason()

  Returns:
    Returns the reason.

### setReason

    public void setReason(String reason)

  Parameters:
    `reason` - The reason to set.

### getLogDate

    public Date getLogDate()

  Returns:
    Returns the logDate.

### setLogDate

    public void setLogDate(Date logDate)

  Parameters:
    `logDate` - The logDate to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD